aboutsummaryrefslogtreecommitdiff
path: root/package/bluez5_utils
diff options
context:
space:
mode:
authorGravatar Gustavo Zacarias <gustavo@zacarias.com.ar>2015-04-19 09:40:00 -0300
committerGravatar Thomas Petazzoni <thomas.petazzoni@free-electrons.com>2015-04-22 23:06:35 +0200
commit79ce08bbdc33d1725f5d950736c9f624814b5a03 (patch)
tree1b3aaff6114959b7bad2234504ddfb31af0735f3 /package/bluez5_utils
parent55bab4f619833b4edf933a7309503c9425cf623d (diff)
downloadbuildroot-79ce08bbdc33d1725f5d950736c9f624814b5a03.tar.gz
buildroot-79ce08bbdc33d1725f5d950736c9f624814b5a03.tar.bz2
packages: remove non-IPv6 dependencies and tweaks
Now that IPv6 is mandatory remove package dependencies and conditionals for it. Signed-off-by: Gustavo Zacarias <gustavo@zacarias.com.ar> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
Diffstat (limited to 'package/bluez5_utils')
-rw-r--r--package/bluez5_utils/Config.in6
1 files changed, 2 insertions, 4 deletions
diff --git a/package/bluez5_utils/Config.in b/package/bluez5_utils/Config.in
index 8841649872..013182208d 100644
--- a/package/bluez5_utils/Config.in
+++ b/package/bluez5_utils/Config.in
@@ -3,7 +3,6 @@ config BR2_PACKAGE_BLUEZ5_UTILS
depends on BR2_USE_WCHAR # libglib2
depends on BR2_TOOLCHAIN_HAS_THREADS # dbus, libglib2
depends on BR2_USE_MMU # dbus
- depends on BR2_INET_IPV6
depends on !BR2_STATIC_LIBS # uses dlfcn
depends on !BR2_PACKAGE_BLUEZ_UTILS # conflicts with 4.x version
depends on BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_4
@@ -62,10 +61,9 @@ config BR2_PACKAGE_BLUEZ5_UTILS_TEST
endif
-comment "bluez5-utils needs a toolchain w/ wchar, threads, IPv6, headers >= 3.4, dynamic library"
+comment "bluez5-utils needs a toolchain w/ wchar, threads, headers >= 3.4, dynamic library"
depends on !BR2_USE_WCHAR || !BR2_TOOLCHAIN_HAS_THREADS || \
- !BR2_INET_IPV6 || !BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_4 || \
- BR2_STATIC_LIBS
+ !BR2_TOOLCHAIN_HEADERS_AT_LEAST_3_4 || BR2_STATIC_LIBS
depends on BR2_USE_MMU
comment "bluez5-utils conflicts with older bluez-utils version"